#
# spec file for package python3-sphinxcontrib-issuetracker
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-sphinxcontrib-issuetracker
Version:        0.11
Release:        5.1
Url:            https://pypi.python.org/pypi/sphinxcontrib-issuetracker
Summary:        Sphinx integration with different issuetrackers
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/s/sphinxcontrib-issuetracker/sphinxcontrib-issuetracker-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-Sphinx
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildRequires:  python3-requests
Requires:       python3-Sphinx
Requires:       python3-requests
BuildArch:      noarch

%description
A Sphinx extension to reference issues in issue trackers, either explicitly
with an "issue" role or optionally implicitly by issue ids like ``#10`` in
plaintext.

%prep
%setup -q -n sphinxcontrib-issuetracker-%{version}

%build
python3 setup.py build
#cd doc && make html && rm -r _build/html/.buildinfo # Build HTML documentation

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc CREDITS LICENSE README.rst CHANGES.rst
%{python3_sitelib}/*

%changelog
* Thu Jan  8 2015 arun@gmx.de
- specfile:
  * update copyright year
  * update url
- update to version 0.11:
  * Send proper user agent in API requests
  * #4: Respect Github rate limits
  * #5: Fix compatibility with requests 1.0
* Tue Jan 15 2013 p.drouand@gmail.com
- Initial python3 support
